package pong.commun.valeurs;

public class RendezVousComplet extends RendezVous {
	
	private Joueur deuxiemeJoueur;

	public RendezVousComplet() {
		super();
	}

	public RendezVousComplet(String idPartie, 
			             Joueur premierJoueur,
			             Joueur deuxiemeJoueur) {

		super(idPartie, premierJoueur);
		
		this.deuxiemeJoueur = deuxiemeJoueur;
	}
	
	@Override
	public String toString() {
		return premierJoueur().nomCourt() + " Vs " + deuxiemeJoueur.nomCourt();
	}

}
