package pong.frontal.vues;

import ca.ntro.app.Ntro;
import ca.ntro.app.frontend.ViewFx;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import pong.frontal.evenements.EvtAfficherFileAttente;

public class VuePartie extends ViewFx {

	@FXML
	private Button boutonQuitterPartie;
	
	@Override
	public void initialize() {
		Ntro.assertNotNull(boutonQuitterPartie);

		installerEvtQuitterPartie();
	}

	private void installerEvtQuitterPartie() {
		
		boutonQuitterPartie.setOnAction(evtFx -> {
			
			Ntro.newEvent(EvtAfficherFileAttente.class)
			    .trigger();

		});
	}

}
